[SOLVED] Opera web browser

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
kevin987
Level 1
Level 1
Posts: 12
Joined: Fri Dec 11, 2015 12:35 pm

[SOLVED] Opera web browser

Post by kevin987 » Mon Mar 12, 2018 6:34 pm

Software Manager only offers version 12.16 for Opera which is from 2013. Extensions can't be added to this version from the Opera website.

The latest version is 51, but it's not supported under LMDE 2. The error "dependency is not satisfiable libdbus-1-3(>=1.9.14)" occurs.

Version 50 from January 2018 works. The deb package can be downloaded at ftp://ftp.opera.com/pub/opera/desktop/50.0.2762.67/linux/

zorzi
Level 2
Level 2
Posts: 56
Joined: Thu Aug 04, 2016 4:26 pm

Re: [SOLVED] Opera web browser

Post by zorzi » Tue Mar 13, 2018 4:37 am

Hello,

Opera 12.16 is an old version. It should not be used because of potential security threats.

The Debian Jessie (LMDE2 base) libdbus package looks too old now for latest Opera versions. Unless LMDE3 comes quickly, it means you'll be stuck to Opera 50 for a while. Did you try Vivaldi ?

It would be safer to use a guaranteed secured browser (Firefox ESR from Debian repo) until LMDE2 end of life (we don't know yet how long will Firefox relase from Mint repo will be updated).

I know Chromium is not supported anymore on Jessie, but Google Chrome still is. Other light alternatives: Pale Moon, Brave...
Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon R7-240, Ram 4 Go, HD 500 Go) / Debian Stretch (XFCE)
Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, HD 40 Go) / Debian Stretch

kevin987
Level 1
Level 1
Posts: 12
Joined: Fri Dec 11, 2015 12:35 pm

Re: [SOLVED] Opera web browser

Post by kevin987 » Tue Mar 13, 2018 5:46 am

zorzi wrote:
Tue Mar 13, 2018 4:37 am
Hello,

Opera 12.16 is an old version. It should not be used because of potential security threats.

The Debian Jessie (LMDE2 base) libdbus package looks too old now for latest Opera versions. Unless LMDE3 comes quickly, it means you'll be stuck to Opera 50 for a while. Did you try Vivaldi ?

It would be safer to use a guaranteed secured browser (Firefox ESR from Debian repo) until LMDE2 end of life (we don't know yet how long will Firefox relase from Mint repo will be updated).

I know Chromium is not supported anymore on Jessie, but Google Chrome still is. Other light alternatives: Pale Moon, Brave...
Thanks for the heads up about Chromium. I haven't tried installing it yet. I should be ok with Opera 50 for a few months until the summer I assume. I'll also be using Firefox and trying out Vivaldi, Pale Moon and Brave. I stopped using Midori about a year ago. It hasn't been updated since Auguest 2015 and it crashed occasionally.

Post Reply

Return to “Software & Applications”